Announcement Announcement Module
Collapse
No announcement yet.
Spring WS + Websphere 6.1 Page Title Module
Move Remove Collapse
X
Conversation Detail Module
Collapse
  • Filter
  • Time
  • Show
Clear All
new posts

  • Spring WS + Websphere 6.1

    Hi,

    I have a problem with running a Spring webservice on Websphere 6.1 server. I have gone through some previous posts and have tried to have PARENT_LAST classloader policy. Have included the necessary jars too. But not sure what's going wrong Can someone help on below mentioned exception?

    Caused by: java.lang.IncompatibleClassChangeError
    at com.sun.xml.bind.marshaller.SAX2DOMEx.<init>(SAX2D OMEx.java:91)
    at com.sun.xml.bind.v2.runtime.MarshallerImpl.createX mlOutput(MarshallerImpl.java:198)
    at com.sun.xml.bind.v2.runtime.MarshallerImpl.marshal (MarshallerImpl.java:244)
    at org.springframework.oxm.jaxb.Jaxb2Marshaller.marsh al(Jaxb2Marshaller.java:496)
    at org.springframework.ws.support.MarshallingUtils.ma rshal(MarshallingUtils.java:81)
    at org.springframework.ws.client.core.WebServiceTempl ate$2.doWithMessage(WebServiceTemplate.java:352)
    at org.springframework.ws.client.core.WebServiceTempl ate.doSendAndReceive(WebServiceTemplate.java:530)
    at org.springframework.ws.client.core.WebServiceTempl ate.sendAndReceive(WebServiceTemplate.java:496)
    at org.springframework.ws.client.core.WebServiceTempl ate.marshalSendAndReceive(WebServiceTemplate.java: 343)
    at org.springframework.ws.client.core.WebServiceTempl ate.marshalSendAndReceive(WebServiceTemplate.java: 337)
    at org.springframework.ws.client.core.WebServiceTempl ate.marshalSendAndReceive(WebServiceTemplate.java: 329)

  • #2
    JARs added in the WEB-INF/lib of WAR are....

    commons-logging-1.1.1
    commons-pool-1.5.5
    dom4j-1.6.1
    icu4j_3_4_1
    jdom-1.1
    jsf-ibm
    jsf-impl-messages
    jsf-portletbridge
    log4j-1.2.16
    spring-2.5.6.SEC02
    spring-aop-3.0.5.RELEASE
    spring-asm-3.0.5.RELEASE
    spring-beans-3.0.5.RELEASE
    spring-context-3.0.5.RELEASE
    spring-core-3.0.5.RELEASE
    spring-expression-3.0.5.RELEASE
    spring-oxm-3.0.5.RELEASE
    spring-portlet-2.0.8
    spring-web-3.0.5.RELEASE
    spring-webmvc-1.2.6
    spring-ws-2.0.0.RELEASE-all
    stax-api-1.0.1
    wsdl4j
    xalan
    xml-apis
    jaxb-impl-2.1.13
    jaxb-api-2.1
    xerces-impl-2.9.0
    wstx-asl-3.2.9
    wsdl4j-1.6.2
    saaj-impl-1.3.2

    Comment


    • #3
      I got through with this one, just jaxb jars where older. I ran this self extracting jar JAXB2_20110512 and it updated those jars and worked for me.

      Comment

      Working...
      X